      SUBROUTINE EVALA(CXADIA,CXALPH,MXN3,NAT)
C
C*********************************************************************
C Purpose: to evaluate diagonal elements of matrix A for use in
C discrete-dipole scattering calculation.
C
C Given:   CXALPH(1-NAT3)=complex polarizabilities of dipoles
C          NAT=number of dipoles
C          MXN3,MXNAT=dimensioning information
C Returns: CXADIAG(1-3*NAT)=diagonal elements of matrix A
C
C B. T. Draine, Princeton Univ. Obs., 87/1/7
C History:
C 88/ 5/ 5 (BTD): Modifications...
C 90/11/ 6 (BTD): Modified to pass array dimensions
C
C Copyright (C) 1993, B.T. Draine and P.J. Flatau
C This code is covered by the GNU General Public License.
C***********************************************************************
C*** Arguments:
      INTEGER MXN3,NAT
      COMPLEX CXADIA(MXN3),CXALPH(MXN3)
C
C*** Local variables:
      INTEGER IAX
C
C Compute "diagonal" elements of A: those having I=J
      DO 100 IAX=1,3*NAT
          CXADIA(IAX)=1./CXALPH(IAX)
  100 CONTINUE
      RETURN
C
      END
